Subject: RE: possible BUG: winapi.a missing some functions
From: "Norman Vine" <[email-masked]>
To: "Matthew Webber" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 30 Apr 2003 10:16:39 -0400

Matthew Webber writes:
> 
> I have recently tried to compile fltk (fltk.org) under the latest 
> version of cygwin. The build failed because it was unable to find 
> the following functions/defines:
> 
> o DC_PEN
> o DC_BRUSH
> o SetDCPenColor
> o SetDCBrushColor
> 
> I then searched my borland compiler's include directory and found 
> that the functions/defines were prototyped/defined in winpen.h, 
> so i copied this to the cygwin include directory and attempted a 
> recompile. It compiled but did not link due to the fact that 
> SetDCPenColor and SetDCBrushColor were undefined references.
> 
> I came to the conclusion that i was eaither missing a package, or 
> that the winapi package was missing those functions.
> 
> I would be grateful for any help recieved.

If you have MSVC installed you can use reimp utility which is part of 
the mingw-utils package to build a libgdi32.a that has these

download mingw-utils from
http://sourceforge.net/project/showfiles.php?group_id=2435

HTH

Norman

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/